#1 Update Python 2 dependency declarations to new packaging standards
Closed a year ago by mmarusak. Opened a year ago by ishcherb.
rpms/ ishcherb/abrt-server-info-page pyambiguous  into  master

file modified
+7 -3

@@ -1,7 +1,7 @@ 

  Summary: Web page with summary of ABRT services

  Name: abrt-server-info-page

  Version: 1.4

- Release: 2%{?dist}

+ Release: 3%{?dist}

  License: GPLv3+

  URL: https://github.com/marusak/abrt-server-info-page

  # source is created by:

@@ -13,9 +13,9 @@ 

  

  BuildRequires: python2-devel

  

- Requires: python-flask >= 0.10

+ Requires: python2-flask >= 0.10

  Requires: httpd

- Requires: mod_wsgi

+ Requires: python2-mod_wsgi

  

  %description

  Web page for use as front page of ABRT servers. Contains information about

@@ -48,6 +48,10 @@ 

  systemctl condrestart httpd

  

  %changelog

+ * Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4-3

+ - Update Python 2 dependency declarations to new packaging standards

+   (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

+ 

  * Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

  

This package uses names with ambiguous python- prefix in requirements.

According to Fedora Packaging guidelines for Python, packages must use names with either python2- or python3- prefix in requirements where available.
We are aiming to rename python-* dependencies to python2-*, so we can later switch the python-* namespace to Python 3.

This PR is part of Fedora's Switch to Python 3 effort.

Note that, although this PR was created automatically, we will respond to any comments or issues which you might find with it. We will keep the PR open for review for a week, and if there's no feedback we'll merge it. There is no need to build the package right after merge, this change can wait for the next package rebuild.
The local mock build passed, for Koji scratch build please see simple-koji-ci result.

Note: please do not backport this to f26, f27 branch(es) as some of the modified requirements are not available there

This PR was opened automatically, for source code see here

rebased onto 9837104

a year ago

Pull-Request has been closed by mmarusak

a year ago